package domain

type AlibabaWdkCouponTemplateQueryCouponTemplateQueryRequest struct {
	/*
	   模板表ID     */
	Id *int64 `json:"id,omitempty" `

	/*
	   ump模板ID     */
	SourceId *int64 `json:"source_id,omitempty" `

	/*
	   用户信息     */
	UserInfo *AlibabaWdkCouponTemplateQueryUserInfo `json:"user_info,omitempty" `
}

func (s *AlibabaWdkCouponTemplateQueryCouponTemplateQueryRequest) SetId(v int64) *AlibabaWdkCouponTemplateQueryCouponTemplateQueryRequest {
	s.Id = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryCouponTemplateQueryRequest) SetSourceId(v int64) *AlibabaWdkCouponTemplateQueryCouponTemplateQueryRequest {
	s.SourceId = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryCouponTemplateQueryRequest) SetUserInfo(v AlibabaWdkCouponTemplateQueryUserInfo) *AlibabaWdkCouponTemplateQueryCouponTemplateQueryRequest {
	s.UserInfo = &v
	return s
}
